SDL_CompareAndSwapAtomicPointer(3)

NAME
SDL_CompareAndSwapAtomicPointer - Set a pointer to a new value if it is currently an old value.

SYNOPSIS
#include <SDL3/SDL_atomic.h>

bool SDL_CompareAndSwapAtomicPointer(void **a, void *oldval, void *newval);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to a pointer.

oldval
    the old pointer value.

newval
    the new pointer value.

RETURN VALUE
Returns true if the pointer was set, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CompareAndSwapAtomicInt(3), SDL_GetAtomicPointer(3), SDL_SetAtomicPointer(3)